SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004382SOGoGUIpublic2018-02-02 07:162018-12-04 11:04
Reporterschickel 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSArch LinuxOS Version
Product Version3.2.10 
Target VersionFixed in Version4.0.0 
Summary0004382: User-Quota does not show up
DescriptionAfter login, SOGo does not show the quota of the user. Other webclients like Roundcube does show it.
Additional InformationLinux 4.14.13-1-ARCH 0000001 SMP PREEMPT Wed Jan 10 11:14:50 UTC 2018 x86_64 GNU/Linux
Dovecot 2.3.0
Postfix 3.2.5
Postfixadmin 3.1-1
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0001494resolvedfrancis sogo doesn't handle dovecot's "quota root name" 

-  Notes
User avatar (0012548)
francis (administrator)
2018-02-02 14:01

Any error in your JavaScript console?

What is the content of https://<hostname>/SOGo/so/<username>/Mail/0/view [^] ?

While loading this URL, sniff the IMAP traffic and check for the server's response to the getquotaroot command.
(0012553)
schickel (reporter)
2018-02-05 03:02

No error in JavaScript console

The URL is not valid:
https://<hostname>/SOGo/so/<username>/Mail/0/view [^] [^]
the called object returned no result

I've compared Dovecot debug-log login with Roundcube and SOGo and there is no difference.

Enabling ImapDebugEnabled in SOGo I can see following:

sogod[32539]: S[0x556a69e16030]: 1 OK [CAPABILITY IMAP4rev1 SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE LITERAL+ NOTIFY QUOTA] Logged in
sogod[32539]: S[0x556a69e16030]: * CAPABILITY IMAP4rev1 SASL-IR LOGIN-REFERRALS ID ENABLE IDLE SORT SORT=DISPLAY THREAD=REFERENCES THREAD=REFS THREAD=ORDEREDSUBJECT MULTIAPPEND URL-PARTIAL CATENATE UNSELECT CHILDREN NAMESPACE UIDPLUS LIST-EXTENDED I18NLEVEL=1 CONDSTORE QRESYNC ESEARCH ESORT SEARCHRES WITHIN CONTEXT=SEARCH LIST-STATUS BINARY MOVE LITERAL+ NOTIFY QUOTA
sogod[32539]: S[0x556a69e16030]: 2 OK Capability completed (0.001 + 0.043 + 0.042 secs).
...
...
...
sogod[32539]: S[0x556a69e16030]: 6 OK List completed (0.001 + 0.042 + 0.042 secs).
sogod[32539]: C[0x556a69d81540]: 7 getquotaroot "INBOX"
sogod[32539]: S[0x556a69e16030]: * QUOTAROOT INBOX "User quota"
sogod[32539]: S[0x556a69e16030]: * QUOTA "User quota" (STORAGE 338146 2097152)
sogod[32539]: S[0x556a69e16030]: 7 OK Getquotaroot completed (0.009 + 0.000 + 0.008 secs).

It looks like SOGo is able to read quota, but not showing up in the UI
User avatar (0012571)
francis (administrator)
2018-02-06 15:33

Fixed in SOPE.

See https://github.com/inverse-inc/sope/commit/0f5d66fabe9232ef0f03f15670103a69ffede35e [^]

- Issue History
Date Modified Username Field Change
2018-02-02 07:16 schickel New Issue
2018-02-02 14:01 francis Note Added: 0012548
2018-02-05 03:02 schickel Note Added: 0012553
2018-02-06 15:33 francis Note Added: 0012571
2018-02-06 15:33 francis Status new => resolved
2018-02-06 15:33 francis Fixed in Version => 4.0.0
2018-02-06 15:33 francis Resolution open => fixed
2018-02-06 15:33 francis Assigned To => francis
2018-12-04 11:04 francis Relationship added duplicate of 0001494


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker